/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mindex.navigation;

import mindex.distance.PartialQueryPPPDistanceCalculator;

/**
 * An interface that enables to revise a query-PPP calculated distance by a more demanding process 
 *  (for instance by reading all PP suffixes from leaf cell in PPP index.
 * @author xnovak8
 */
public interface MinQueryDistanceRevisor {
    
    public float reviseMinDistance(PartialQueryPPPDistanceCalculator calculator, float origDistance);
    
}
