/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mindex.navigation;

/**
 * Interface for objects (typically cells of PPP tree) that enable checking the existence of 
 *  specified pivot number on the next level of the PPP.
 * @author xnovak8
 */
public interface NextLevelPivotChecker {
    
    /**
     * Returns true, if this object (internal or leaf node) contains data with given pivot number.
     * @param pivotNumber
     * @return 
     */
    public boolean containsGivenPivot(int pivotNumber);
    
}
